textures/darkjumps/teleport
{
	//surfaceparm nolightmap
	surfaceparm nonsolid
	//cull twosided
	{
		map textures/glass/blueglass.tga
		tcGen environment
		//tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .25 .25
		//blendfunc GL_ONE GL_ONE
                }
}


textures/darkjumps/fall_through
{
	qer_editorimage textures/darkjumps/light_red.jpg
	q3map_surfacelight 1500
	surfaceparm nonsolid
		{
		map $lightmap
		rgbGen identity
		}
		{
		map textures/darkjumps/light_red.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}
		{
		map textures/darkjumps/light_red.jpg
		blendfunc GL_ONE GL_ONE
		}
}

textures/darkjumps/god
{
	q3map_surfacelight 800	
	
	qer_editorimage "textures/darkjumps/lightpillar.jpg"
	{ 
		map textures/darkjumps/lightpillar.jpg
		rgbgen identity
		tcmod scroll 0.2 0.2
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbgen identity		
	}
}

textures/darkjumps/glass_black
{
	qer_trans 0.8
	surfaceparm trans
	surfaceparm slick
	cull disable
	
	{
		map textures/darkjumps/glass_black.tga
        //map textures/darkjumps/black.jpg
		tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
	
    {
		map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
    }
}

textures/darkjumps/glass_black_nd
{
	qer_trans 0.8
	qer_editorimage textures/darkjumps/glass_black.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm slick
	cull disable
	
	{
		map textures/darkjumps/glass_black.tga
        //map textures/darkjumps/black.jpg
		tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
	
    {
		map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
    }
}

textures/darkjumps/glass_black_dull
{
	qer_editorimage textures/darkjumps/glass_black.tga
	qer_trans 0.8
	surfaceparm trans
	surfaceparm slick
	cull disable
	
	{
		//map textures/darkjumps/glass_black.tga
        map textures/darkjumps/black.jpg
		tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
	
    {
		map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
    }
}

textures/darkjumps/light_orange
{
	qer_editorimage textures/darkjumps/light_orange.jpg
	q3map_surfacelight 14000
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick
		{
		map $lightmap
		rgbGen identity
		}
		{
		map textures/darkjumps/light_orange.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}
		{
		map textures/darkjumps/light_orange.jpg
		blendfunc GL_ONE GL_ONE
		}
}

textures/darkjumps/light_red
{
	qer_editorimage textures/darkjumps/light_red.jpg
	q3map_surfacelight 500
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick
		{
		map $lightmap
		rgbGen identity
		}
		{
		map textures/darkjumps/light_red.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}
		{
		map textures/darkjumps/light_red.jpg
		blendfunc GL_ONE GL_ONE
		}
}

textures/darkjumps/light_green
{
	qer_editorimage textures/darkjumps/light_green.jpg
	q3map_surfacelight 500
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick
		{
		map $lightmap
		rgbGen identity
		}
		{
		map textures/darkjumps/light_green.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}
		{
		map textures/darkjumps/light_green.jpg
		blendfunc GL_ONE GL_ONE
		}
}

textures/darkjumps/wall_slick:q3map
	{
		surfaceparm slick
	}
	
textures/darkjumps/wall2_slick:q3map
	{
		surfaceparm slick
	}

textures/darkjumps/metal_grey:q3map
	{
		surfaceparm slick
		surfaceparm nodamage
	}

textures/darkjumps/black:q3map
	{
		surfaceparm nodamage
		surfaceparm nosteps
	}

textures/darkjumps/water
	{
		qer_editorimage textures/darkjumps/water.jpg
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/darkjumps/water.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/darkjumps/water.jpg
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

	}

	textures/darkjumps/slickclip
{
	qer_editorimage textures/darkjumps/slickclip.jpg
	qer_trans 0.2
	surfaceparm slick
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}


textures/darkjumps/skylab_skybox
{
	qer_editorimage env/darkjumps/skylab_ft
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1.00 1.00 1.00 70 90 90
	q3map_surfacelight 70
	skyparms env/darkjumps/skylab - -
}